[Generic] Products
Products endpoints, it's all the differents kind of products we provide.
Authorizations
AuthorizationstringRequired
Specify the JWT token.
Query parameters
sortstringOptional
reversebooleanOptionalDefault:
falseResponses
200
Success
application/json
idstring · uuidOptional
ownerstring · uuid · nullableOptional
creationDateTimestring · date-time · nullableOptional
lastUpdateDateTimestring · date-time · nullableOptional
isFeaturedboolean · nullableOptional
isAllowedboolean · nullableOptional
weightinteger · int32 · nullableOptional
contextDatastring · nullableOptional
customDatastring · nullableOptional
namestring · nullableOptional
shortNamestring · nullableOptional
taglinestring · nullableOptional
labelstring · nullableOptional
descriptionstring · nullableOptional
longHtmlDescriptionstring · nullableOptional
iconstring · nullableOptional
imagePathstring · nullableOptional
isAvailablebooleanOptional
isInMarketplacebooleanOptional
preHookstring · nullableOptional
postHookstring · nullableOptional
get/v2/Products
GET /v2/Products HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Success
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"owner": "123e4567-e89b-12d3-a456-426614174000",
"creationDateTime": "2026-01-01T00:00:00.000Z",
"lastUpdateDateTime": "2026-01-01T00:00:00.000Z",
"isFeatured": true,
"isAllowed": true,
"weight": 1,
"contextData": "text",
"customData": "text",
"name": "text",
"shortName": "text",
"tagline": "text",
"label": "text",
"description": "text",
"longHtmlDescription": "text",
"icon": "text",
"imagePath": "text",
"isAvailable": true,
"isInMarketplace": true,
"preHook": "text",
"postHook": "text"
}
]Authorizations
AuthorizationstringRequired
Specify the JWT token.
Path parameters
productIdstring · uuidRequired
Product Id
Responses
200
Success
application/json
idstring · uuidOptional
ownerstring · uuid · nullableOptional
creationDateTimestring · date-time · nullableOptional
lastUpdateDateTimestring · date-time · nullableOptional
isFeaturedboolean · nullableOptional
isAllowedboolean · nullableOptional
weightinteger · int32 · nullableOptional
contextDatastring · nullableOptional
customDatastring · nullableOptional
namestring · nullableOptional
shortNamestring · nullableOptional
taglinestring · nullableOptional
labelstring · nullableOptional
descriptionstring · nullableOptional
longHtmlDescriptionstring · nullableOptional
iconstring · nullableOptional
imagePathstring · nullableOptional
isAvailablebooleanOptional
isInMarketplacebooleanOptional
preHookstring · nullableOptional
postHookstring · nullableOptional
get/v2/Products/{productId}
GET /v2/Products/{productId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Success
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"owner": "123e4567-e89b-12d3-a456-426614174000",
"creationDateTime": "2026-01-01T00:00:00.000Z",
"lastUpdateDateTime": "2026-01-01T00:00:00.000Z",
"isFeatured": true,
"isAllowed": true,
"weight": 1,
"contextData": "text",
"customData": "text",
"name": "text",
"shortName": "text",
"tagline": "text",
"label": "text",
"description": "text",
"longHtmlDescription": "text",
"icon": "text",
"imagePath": "text",
"isAvailable": true,
"isInMarketplace": true,
"preHook": "text",
"postHook": "text"
}Last updated